/**
 * Default 部件模型
 *
 * @export
 * @class DefaultModel
 */
export default class DefaultModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DefaultModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'n_tbdh_like',
        prop: 'tbdh',
        dataType: 'TEXT',
      },
      {
        name: 'n_cph_like',
        prop: 'cph',
        dataType: 'TEXT',
      },
      {
        name: 'n_srrq_gt',
        prop: 'srrq',
        dataType: 'DATE',
      },
      {
        name: 'n_srrq_lt',
        prop: 'srrq',
        dataType: 'DATE',
      },
    ]
  }

}