package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.CUSTOMER;
import com.sinosig.core.module.filter.CUSTOMERSearchContext;

/**
 * 实体 [客户] 存储对象
 */
public interface CUSTOMERRepository extends Repository<CUSTOMER> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<CUSTOMER> searchDefault(CUSTOMERSearchContext context);


    CUSTOMER convert2PO(com.sinosig.core.module.domain.CUSTOMER domain , CUSTOMER po) ;
	
    com.sinosig.core.module.domain.CUSTOMER convert2Domain( CUSTOMER po ,com.sinosig.core.module.domain.CUSTOMER domain) ;

}
