package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.JQXBJ;
import com.sinosig.core.external.filter.JQXBJSearchContext;

/**
 * 实体 [交强险报价] 存储对象
 */
public interface JQXBJRepository extends Repository<JQXBJ> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<JQXBJ> searchDefault(JQXBJSearchContext context);


    JQXBJ convert2PO(com.sinosig.core.external.domain.JQXBJ domain , JQXBJ po) ;
	
    com.sinosig.core.external.domain.JQXBJ convert2Domain( JQXBJ po ,com.sinosig.core.external.domain.JQXBJ domain) ;

}
