package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.SYXXX;
import com.sinosig.core.module.filter.SYXXXSearchContext;

/**
 * 实体 [商业险信息] 存储对象
 */
public interface SYXXXRepository extends Repository<SYXXX> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<SYXXX> searchDefault(SYXXXSearchContext context);


    SYXXX convert2PO(com.sinosig.core.module.domain.SYXXX domain , SYXXX po) ;
	
    com.sinosig.core.module.domain.SYXXX convert2Domain( SYXXX po ,com.sinosig.core.module.domain.SYXXX domain) ;

}
