package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.CID;
import com.sinosig.core.module.filter.CIDSearchContext;

/**
 * 实体 [车险单] 存储对象
 */
public interface CIDRepository extends Repository<CID> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<CID> searchDefault(CIDSearchContext context);


    CID convert2PO(com.sinosig.core.module.domain.CID domain , CID po) ;
	
    com.sinosig.core.module.domain.CID convert2Domain( CID po ,com.sinosig.core.module.domain.CID domain) ;

}
