package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.DBD;
import com.sinosig.core.module.filter.DBDSearchContext;

/**
 * 实体 [投保单] 存储对象
 */
public interface DBDRepository extends Repository<DBD> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<DBD> searchDefault(DBDSearchContext context);


    DBD convert2PO(com.sinosig.core.module.domain.DBD domain , DBD po) ;
	
    com.sinosig.core.module.domain.DBD convert2Domain( DBD po ,com.sinosig.core.module.domain.DBD domain) ;

}
