package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.JQXTBYD;
import com.sinosig.core.module.filter.JQXTBYDSearchContext;

/**
 * 实体 [交强险特别约定] 存储对象
 */
public interface JQXTBYDRepository extends Repository<JQXTBYD> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<JQXTBYD> searchDefault(JQXTBYDSearchContext context);


    JQXTBYD convert2PO(com.sinosig.core.module.domain.JQXTBYD domain , JQXTBYD po) ;
	
    com.sinosig.core.module.domain.JQXTBYD convert2Domain( JQXTBYD po ,com.sinosig.core.module.domain.JQXTBYD domain) ;

}
