package com.sinosig.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.repository.po.SJZD;
import com.sinosig.core.module.filter.SJZDSearchContext;

/**
 * 实体 [数据字典] 存储对象
 */
public interface SJZDRepository extends Repository<SJZD> {
    
    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<SJZD> searchDefault(SJZDSearchContext context);


    SJZD convert2PO(com.sinosig.core.module.domain.SJZD domain , SJZD po) ;
	
    com.sinosig.core.module.domain.SJZD convert2Domain( SJZD po ,com.sinosig.core.module.domain.SJZD domain) ;

}
